Package org.eclipse.birt.report.model.api.command

# Class LibraryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.LibraryException

All Implemented Interfaces:
  `Serializable`

public class LibraryException extends SemanticException
Indicates an error while operating with library.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_DUPLICATE_LIBRARY_NAMESPACE`
Indicates the namespace one library is using is duplicate.
`static final String`
`DESIGN_EXCEPTION_INVALID_LIBRARY_NAMESPACE`
Indicates the namespace of library is invalid, for it is empty or contains illegal characters.
`static final String`
`DESIGN_EXCEPTION_LIBRARY_ALREADY_INCLUDED`
Indicates that library is already included, a library can not be added twice.
`static final String`
`DESIGN_EXCEPTION_LIBRARY_HAS_DESCENDENTS`
Indicates that library has descendents in the current module.
`static final String`
`DESIGN_EXCEPTION_LIBRARY_INCLUDED_RECURSIVELY`
Indicates the library is included recursively.
`static final String`
`DESIGN_EXCEPTION_LIBRARY_NOT_FOUND`
Indicates the library is not found in module.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`LibraryException(org.eclipse.birt.report.model.core.Module module, String errCode)`
Constructor.
`LibraryException(org.eclipse.birt.report.model.core.Module module, String[] values, String errCode)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION_LIBRARY_NOT_FOUND

public static final String DESIGN_EXCEPTION_LIBRARY_NOT_FOUND
Indicates the library is not found in module.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE_LIBRARY_NAMESPACE

public static final String DESIGN_EXCEPTION_DUPLICATE_LIBRARY_NAMESPACE
Indicates the namespace one library is using is duplicate.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_LIBRARY_INCLUDED_RECURSIVELY

public static final String DESIGN_EXCEPTION_LIBRARY_INCLUDED_RECURSIVELY
Indicates the library is included recursively.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_LIBRARY_HAS_DESCENDENTS

public static final String DESIGN_EXCEPTION_LIBRARY_HAS_DESCENDENTS
Indicates that library has descendents in the current module.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_LIBRARY_ALREADY_INCLUDED

public static final String DESIGN_EXCEPTION_LIBRARY_ALREADY_INCLUDED
Indicates that library is already included, a library can not be added twice.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_LIBRARY_NAMESPACE

public static final String DESIGN_EXCEPTION_INVALID_LIBRARY_NAMESPACE
Indicates the namespace of library is invalid, for it is empty or contains illegal characters.

See Also:
  - Constant Field Values

## Constructor Details

### LibraryException

public LibraryException(org.eclipse.birt.report.model.core.Module module, String errCode)
Constructor.

Parameters:
  `module` - the module which has errors
  `errCode` - the error code

### LibraryException

public LibraryException(org.eclipse.birt.report.model.core.Module module, String[] values, String errCode)
Constructor.

Parameters:
  `module` - the module which has errors
  `values` - value array used for error message
  `errCode` - the error code

## Method Details

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`